<button mat-raised-button color="primary" (click)="getAnalytics()">Submit</button>

<div class="clear-fix">

  <mat-form-field appearance="fill">
    <mat-label>Patient Type:</mat-label>
    <select matNativeControl [(ngModel)]="analyticData.patientTypeId" name="car" (ngModelChange)="onAnlyticsChange($event)">
      <option *ngFor="let patient of patientTypeList" [value]="patient">
        {{patient}}
      </option>
    </select>
  </mat-form-field>


  <mat-form-field appearance="fill">
    <mat-label>Statistical:</mat-label>
    <select matNativeControl [(ngModel)]="analyticData.statType" name="car" (ngModelChange)="onStatisticalChange($event)" >
      <option value="avg">Average</option>
    </select>
  </mat-form-field>


  <mat-form-field appearance="fill">
    <mat-label>Patient Status:</mat-label>
    <select matNativeControl [(ngModel)]="analyticData.admissionStatus" name="car" (ngModelChange)="onPatientStatusChange($event)" >
      <option *ngFor="let patient of patientStatusList" [value]="patient">
        {{patient}}
      </option>
    </select>
  </mat-form-field>


  <mat-form-field appearance="fill">
    <mat-label>Hospital:</mat-label>
    <select matNativeControl [(ngModel)]="analyticData.hospitalID" name="car" (ngModelChange)="onhospitalChange($event)" >
      <option *ngFor="let hospital of hospitalList" [value]="hospital.id">
        {{hospital.name}}
      </option>
    </select>
  </mat-form-field>


  <mat-form-field appearance="fill">
    <mat-label>Hospital:</mat-label>
    <select matNativeControl [(ngModel)]="analyticData.hospitalID" name="car" (ngModelChange)="onhospitalChange($event)" >
      <option *ngFor="let hospital of hospitalList" [value]="hospital.id">
        {{hospital.name}}
      </option>
    </select>
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Choose a date</mat-label>
    <input matInput [matDatepicker]="picker">
    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
  </mat-form-field>

  <ng-container *ngIf="analyticData.patientTypeId === 'OB'">

    <mat-form-field appearance="fill">
      <mat-label>GBS(+/-):</mat-label>
      <select matNativeControl [(ngModel)]="analyticData.gbs" name="car" (ngModelChange)="onGBSChange($event)" >
        <option value="1">+ve</option>
        <option value="2">-ve</option>
        <option value="3">Unknown</option>
      </select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Procedure:</mat-label>
      <select matNativeControl [(ngModel)]="analyticData.procedureTypesId" name="car" (ngModelChange)="onProcedureChange($event)" >
        <option *ngFor="let procedure of obProcedureList" [value]="procedure.id">
          {{procedure.name}}
        </option>
      </select>
    </mat-form-field>

    <div *ngIf="procedureType === 'C-Section'">
      <mat-form-field appearance="fill">
        <mat-label>C-Section Reason :</mat-label>
        <select matNativeControl [(ngModel)]="analyticData.csecReason" name="car" (ngModelChange)="CSectionReasonChange($event)" >
          <option *ngFor="let procedure of csectionReasonList" [value]="procedure.id">
            {{procedure.reason}}
          </option>
        </select>
      </mat-form-field>
    </div>

    <mat-form-field appearance="fill">
      <mat-label>Induced :</mat-label>
      <select matNativeControl multiple="true" [(ngModel)]="selectedInduse" name="car" (ngModelChange)="inducedreasionTypeselect($event)" >
        <option *ngFor="let induced of inReason" [value]="induced.id">
          {{induced.irName}}
        </option>
      </select>
    </mat-form-field>


    <mat-form-field appearance="fill">
      <mat-label>Baby Type :</mat-label>
      <select matNativeControl multiple="true" [(ngModel)]="analyticData.babyInfo" name="car" (ngModelChange)="onBabyTypeChange($event)" >
        <option value="1">Singleton</option>
        <option value="2">Twins</option>
        <option value="3">Other</option>
      </select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Sex Of Baby :</mat-label>
      <select matNativeControl multiple="true" [(ngModel)]="analyticData.babyGender" name="car" (ngModelChange)="onBabySexChange($event)" >
        <option value="M">Male</option>
        <option value="F">Female</option>
      </select>
    </mat-form-field>
    <mat-form-field appearance="fill">
      <mat-label>APGAR :</mat-label>
      <select matNativeControl multiple="true" [(ngModel)]="analyticData.apgar" name="car" (ngModelChange)="onBabyApgarChange($event)" >
        <option value="{{babyAPGARLes}}">{{babyAPGARLes}}</option>
        <option value="{{babyAPGARGa}}">{{babyAPGARGa}}</option>
      </select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Live Birth :</mat-label>
      <select matNativeControl multiple="true" [(ngModel)]="analyticData.liveBirth" name="car" (ngModelChange)="onlivebirthChange($event)" >
        <option value="YES">YES</option>
        <option value="NO">NO</option>
      </select>
    </mat-form-field>

  </ng-container>

  <ng-container *ngIf="analyticData.patientTypeId === 'GYN'">

    <mat-form-field appearance="fill">
      <mat-label>Procedure :</mat-label>
      <select matNativeControl  [(ngModel)]="selectedProcedure" name="car" (ngModelChange)="onGYNProcedureChange($event)" >
        <option *ngFor="let procedure of gynProcedureList" [value]="procedure.id">
          {{procedure.procedureName}}
        </option>
      </select>
    </mat-form-field>


    <mat-form-field appearance="fill">
      <mat-label>Post-op Antiboitics :</mat-label>
      <select matNativeControl [(ngModel)]="analyticData.postop" name="car" (ngModelChange)="onpostopChange($event)" >
        <option value="YES">YES</option>
        <option value="NO">NO</option>
      </select>
    </mat-form-field>


    <mat-form-field appearance="fill">
      <mat-label>EBL :</mat-label>
      <select matNativeControl [(ngModel)]="analyticData.ebl" name="car" (ngModelChange)="onEblChange($event)" >
        <option value="{{EBLLes}}">{{EBLLes}}</option>
        <option value="100-300 cc">100-300 cc</option>
        <option value="300-700 cc">300-700 cc</option>
        <option value="{{EBLGa}}">{{EBLGa}}</option>
      </select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>EBL :</mat-label>
      <select matNativeControl [(ngModel)]="analyticData.fcm" name="car" (ngModelChange)="onCatheterChange($event)" >
        <option value="D/C">D/C</option>
        <option value="Voiding Trial">Voiding Trial</option>
        <option value="Keep">Keep</option>
      </select>
    </mat-form-field>

  </ng-container>


</div>

<!--<mat-form-field>-->
<!--  <input matInput-->
<!--         placeholder="Choose a date"-->
<!--         [satDatepicker]="picker"-->
<!--         >-->
<!--  <sat-datepicker #picker [rangeMode]="true"></sat-datepicker>-->
<!--  <sat-datepicker-toggle matSuffix [for]="picker"></sat-datepicker-toggle>-->
<!--</mat-form-field>-->

<!--<mat-form-field appearance="fill">-->
<!--  <mat-label>Enter a date range</mat-label>-->
<!--  <mat-date-range-input [rangepicker]="picker">-->
<!--    <input matstartdate="" placeholder="Start date"  min="2000-12-31" max="{{minDate}}" [(ngModel)]="analyticData.fromDate"-->
<!--           (ngModelChange)="updateFromDate($event)">-->
<!--    <input matenddate="" placeholder="End date" min="2000-12-31" max="{{minDate}}" [(ngModel)]="analyticData.toDate"-->
<!--           (ngModelChange)="updateToDate($event)">-->
<!--  </mat-date-range-input>-->
<!--  <mat-datepicker-toggle matsuffix="" [for]="picker">-->
<!--  </mat-datepicker-toggle>-->
<!--  <mat-date-range-picker #picker=""></mat-date-range-picker>-->
<!--</mat-form-field>-->

<!--<mat-form-field appearance="fill">-->
<!--  <mat-label>Enter a date range</mat-label>-->
<!--  <mat-date-range-input [rangePicker]="picker">-->
<!--    <input matStartDate placeholder="Start date" min="2000-12-31" max="{{minDate}}" [(ngModel)]="analyticData.fromDate"-->
<!--           (ngModelChange)="updateFromDate($event)">-->
<!--    <input matEndDate placeholder="End date" min="2000-12-31" max="{{minDate}}" [(ngModel)]="analyticData.toDate"-->
<!--           (ngModelChange)="updateToDate($event)">-->
<!--  </mat-date-range-input>-->
<!--  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>-->
<!--  <mat-date-range-picker #picker></mat-date-range-picker>-->

<!--  <mat-label>By</mat-label>-->
<!--  <select placeholder="Select by Type" matNativeControl [(ngModel)]="analyticData.byYrMn" name="car"-->
<!--          (ngModelChange)="onbyChange($event)">-->
<!--    <option value="month">Month-->
<!--    </option>-->
<!--    <option value="year">Year-->
<!--    </option>-->
<!--  </select>-->
<!--</mat-form-field>-->

